## RygelMediaArtStore

RygelMediaArtStore — This maps RygelMusicItem objects to their cached cover art, implementing the GNOME MediaArt storage specification.

## Functions

RygelThumbnail * | rygel_media_art_store_lookup_media_art ()
void | rygel_media_art_store_add ()
void | rygel_media_art_store_search_media_art_for_file ()
RygelMediaArtStore * | rygel_media_art_store_get_default ()

## Types and Values

#define | RYGEL_TYPE_MEDIA_ART_STORE
struct | RygelMediaArtStore
struct | RygelMediaArtStoreClass

## Object Hierarchy

        GObject
        ╰── RygelMediaArtStore

## Description

## Functions

### rygel_media_art_store_lookup_media_art ()

    RygelThumbnail *
    rygel_media_art_store_lookup_media_art
                                   (RygelMediaArtStore *self,
                                    RygelMusicItem *item,
                                    GError **error);

#### Parameters

self | the RygelMediaArtStore instance |
item |  |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_media_art_store_add ()

    void
    rygel_media_art_store_add (RygelMediaArtStore *self,
                               RygelMusicItem *item,
                               GFile *file,
                               guint8 *data,
                               gint data_length1,
                               const gchar *mime);

#### Parameters

self | the RygelMediaArtStore instance |
data_length1 | length of the `data` array |
item |  |
file |  |
data |  |
mime |  |

### rygel_media_art_store_search_media_art_for_file ()

    void
    rygel_media_art_store_search_media_art_for_file
                                   (RygelMediaArtStore *self,
                                    RygelMusicItem *item,
                                    GFile *file);

#### Parameters

self | the RygelMediaArtStore instance |
item |  |
file |  |

### rygel_media_art_store_get_default ()

    RygelMediaArtStore *
    rygel_media_art_store_get_default (void);

## Types and Values

### RYGEL_TYPE_MEDIA_ART_STORE

    #define RYGEL_TYPE_MEDIA_ART_STORE (rygel_media_art_store_get_type ())

The type for RygelMediaArtStore.

### struct RygelMediaArtStore

    struct RygelMediaArtStore;

This maps RygelMusicItem objects to their cached cover art, implementing the GNOME MediaArt storage specification.

### struct RygelMediaArtStoreClass

    struct RygelMediaArtStoreClass {
    	GObjectClass parent_class;
    };

The class structure for `RYGEL_TYPE_MEDIA_ART_STORE`. All the fields in this structure are private and should never be accessed directly.

#### Members